Office JS add-in minimum supported Office versions

Shabari Pragash 126 Reputation points
2022-04-01T16:56:10.033+00:00

I am planning to develop a Office JS add-in for MS Office in both Windows and Mac OS for Word, Excel and PPT. But i am not sure from which Office version the add-in will work.

Kindly clarify it asap.

Office Mac
Office Mac
Office: A suite of Microsoft productivity software that supports common business tasks, including word processing, email, presentations, and data management and analysis.Mac: A family of Apple personal computers that run the macOS operating system.
475 questions
Office Management
Office Management
Office: A suite of Microsoft productivity software that supports common business tasks, including word processing, email, presentations, and data management and analysis.Management: The act or process of organizing, handling, directing or controlling something.
2,040 questions
Word Management
Word Management
Word: A family of Microsoft word processing software products for creating web, email, and print documents.Management: The act or process of organizing, handling, directing or controlling something.
903 questions
PowerPoint Management
PowerPoint Management
PowerPoint: A family of Microsoft presentation graphics products that offer tools for creating presentations and adding graphic effects like multimedia objects and special effects with text.Management: The act or process of organizing, handling, directing or controlling something.
222 questions
Excel Management
Excel Management
Excel: A family of Microsoft spreadsheet software with tools for analyzing, charting, and communicating data.Management: The act or process of organizing, handling, directing or controlling something.
1,669 questions
0 comments No comments
{count} votes

Accepted answer
  1. John Korchok 5,121 Reputation points
    2022-04-01T21:04:09.607+00:00

    Office.js was introduced with Office 2013, so it won't work at all with earlier versions. The more recent the edition of Office, the more add-in features that are supported. Here is Microsoft's page about Office versions and Office.js Requirement Sets:
    https://learn.microsoft.com/en-us/office/dev/add-ins/develop/office-versions-and-requirement-sets

    0 comments No comments

0 additional answers

Sort by: Most helpful